# React Ant Design Starter

[![js-standard-style](https://img.shields.io/badge/code%20style-standard-brightgreen.svg)](http://standardjs.com)

This project was modified from boilerplate created by [Create React App](https://github.com/facebookincubator/create-react-app).

## New Features

- [x] Use `.babelrc` file for babel configuration.
- [x] Use `config/jest.config.js` file for jest configuration.
- [x] Add `raf` polyfill for jest test.
- [x] Use [JavaScript Standard Style](https://github.com/standard/standard)
- [x] Add eslint plugins for [JavaScript Standard Style](https://github.com/standard/standard).
- [x] Use [Ant Design](https://github.com/ant-design/ant-design) for UI.
- [x] Use [husky](https://github.com/typicode/husky) git hooks, for lint checking before commit.
- [x] [Source map explorer](https://github.com/danvk/source-map-explorer) analyzes JavaScript bundles using the source maps

## Start

```bash
git clone https://github.com/yugasun/react-ant-design-starter.git my-app
cd my-app
yarn install
```

## Folder Structure

After creation, your project should look like this:

```
my-app/
  README.md
  node_modules/
  package.json
  .babelrc
  .eslintrc.js
  .eslintignore
  config/       // include webpack config and jest config
  public/
    index.html
    favicon.ico
  scripts/
  src/
    __test__/    // test folder
      App.test.js
    App.css
    App.js
    index.css
    index.js
    logo.svg
```

For the project to build, **these files must exist with exact filenames**:

* `public/index.html` is the page template;
* `src/index.js` is the JavaScript entry point.

You can delete or rename the other files.

You may create subdirectories inside `src`. For faster rebuilds, only files inside `src` are processed by Webpack.<br>
You need to **put any JS and CSS files inside `src`**, otherwise Webpack won’t see them.

Only files inside `public` can be used from `public/index.html`.<br>
Read instructions below for using assets from JavaScript and HTML.

You can, however, create more top-level directories.<br>
They will not be included in the production build so you can use them for things like documentation.

## Available Scripts

In the project directory, you can run:

### `yarn start`

Runs the app in the development mode.<br>
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.<br>
You will also see any lint errors in the console.

### `yarn test`

Launches the test runner in the interactive watch mode.<br>
See the section about [running tests](#running-tests) for more information.

### `yarn build`

Builds the app for production to the `build` folder.<br>
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.<br>

### `yarn analyze`

[Source map explorer](https://github.com/danvk/source-map-explorer) analyzes JavaScript bundles using the source maps. This helps you understand where code bloat is coming from.

## License

[MIT](/LICENSE)
