/**
 * Created Date: Wednesday, October 25th 2017, 6:53:24 pm
 * Author: yugasun
 * Email: yuga.sun.bj@gmail.com
 * -----
 * Last Modified: Wed Oct 25 2017
 * Modified By: yugasun
 * -----
 * Copyright (c) 2017 yugasun
 */

const path = require('path')

module.exports = {
  'rootDir': path.join(__dirname, '..'),
  'collectCoverageFrom': [
    'src/**/*.{js,jsx}'
  ],
  'setupFiles': [
    '<rootDir>/node_modules/raf/polyfill',
    '<rootDir>/config/polyfills.js'
  ],
  'testMatch': [
    '<rootDir>/src/**/__tests__/**/*.js?(x)',
    '<rootDir>/src/**/?(*.)(spec|test).js?(x)'
  ],
  'testEnvironment': 'node',
  'testURL': 'http://localhost',
  'transform': {
    '^.+\\.(js|jsx)$': '<rootDir>/node_modules/babel-jest',
    '^.+\\.css$': '<rootDir>/config/jest/cssTransform.js',
    '^(?!.*\\.(js|jsx|css|json)$)': '<rootDir>/config/jest/fileTransform.js'
  },
  'transformIgnorePatterns': [
    '[/\\\\]node_modules[/\\\\].+\\.(js|jsx)$'
  ],
  'moduleNameMapper': {
    '^react-native$': 'react-native-web'
  },
  'moduleFileExtensions': [
    'web.js',
    'js',
    'json',
    'web.jsx',
    'jsx',
    'node'
  ]
}
